Page MenuHomePhabricator

Newcomer tasks: Make the help panel a fixed width on Desktop
Closed, ResolvedPublic

Description

Problem

The Help panel becomes wider depending on the browser window width, and covers more of the page that can potentially hinder the available space exposed for users to edit the page.

Conversely, the narrower help panel width also causes some minor display issues when there 7 pr more guidance tips - as filed on T255389.

Proposed solution

Set the help panel to a fixed-width of 360px instead (as per the width in the original design).

Event Timeline

RHo created this task.Jun 17 2020, 9:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2020, 9:17 PM

hi @MMiller_WMF - please prioritize as you see fit. Applying a 360px fixed width also means we don't need to consider the more drastic changes to the quick tips tabs proposed on T255389.

Change 607888 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Make help panel 360px wide on desktop

https://gerrit.wikimedia.org/r/607888

Tgr claimed this task.Jun 25 2020, 9:35 PM

Linking with T212897, it looks like the original help panel was "small" size and then we bumped it up to medium for wider screens. I agree that keeping it as "medium" (360px width) as the default makes sense.

@RHo did you want to preserve the ability for the help panel to be wider on larger screens (500px) or should we remove that (now inactive) code?

Change 607888 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Make help panel 360px wide on desktop

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /607888

RHo added a comment.Jun 30 2020, 12:23 PM

@RHo did you want to preserve the ability for the help panel to be wider on larger screens (500px) or should we remove that (now inactive) code?

Whilst there's no harm in preserving the wider panel on very large screens (say larger than 1680px), perhaps it is better for the sake of simplicity to remove this code. The marginal benefit seems OK to forgo based on the underlying reason for this task that the help panel should be as unobtrusive and block as little of the editing area as possible. However, @MMiller_WMF please chime in if you disagree.

I agree and do not think we need to make it larger on wide screens.

Etonkovidova added a subscriber: Etonkovidova.

Checked in the supported browsers - Chrome, FF, Safari, Edge and IE. No issues found.

Looks good to me too


@MMiller_WMF - should we still keep T255389 open for future-proofing (if theres ever a task with 9 steps or more)?

MMiller_WMF closed this task as Resolved.Jul 8 2020, 11:29 PM

Thank you! I like the new width.